Skip to content

Gets all the contextChecks the caller has submitted

Request

Security
clientCredentials or oAuth2Password
Query
startstring, (date-time)

Filter contextChecks created after this date (inclusive with ascending sort order, exlusive with descending sort order)

endstring, (date-time)

Filter contextChecks created before this date (exclusive with ascending sort order, inclusive with descending sort order)

limitnumber, <= 1000

The number of contextChecks to return.

Default:25
sortstring

The direction to sort contextChecks by created_at

Default:"desc"
Enum:"asc""desc"
filterstring

Filters context checks with their corresponding indexOn value if the writer set one.

GET
/contextChecks
curl -i -X GET \
  'https://api.blackbird.ai/compass/contextChecks?start=2019-08-24T14%3A15%3A22Z&end=2019-08-24T14%3A15%3A22Z&limit=25&sort=asc&filter=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

ContextChecks found

Bodyapplication/json
dataArray of any(ContextCheck)required
Response
{ "data": [ {} ] }